Page MenuHomePhabricator

How to properly design and write browser tests
Closed, ResolvedPublic

Description

Agenda:

Talk (45 minutes)

  • Go over the basics of browser testing
  • How to design browser testing and architect it?
  • What can we do to improve
  • Design together a piece of broken code and with small incremental changes make it better and easier to work with

Q&A (15 minutes)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 8 2018, 7:52 AM
zeljkofilipin added a subscriber: zeljkofilipin.

Just making sure you are aware of T190046: Write Selenium tests in JavaScript/Node.js workshop and T190687: Pair on writing Selenium tests in JavaScript/Node.js. I will try to attend this session and I hope to see you at my sessions! 😄

I am and i'm planning to attend them, my session is more Web testing 101... nodejs is just example, we are mostly going to talk about Loadable Page Object design pattern + Facade pattern.

0x010C added a subscriber: 0x010C.May 15 2018, 9:00 PM

Hello!
This session is in a room with video recording capabilities. Would you like this session recorded for YouTube / Commons?
Pinging @bcampbell as he will be helping with this.

@Rfarrand @bcampbell yes why not, could be very cool thing to have on video

@RazShuty do you want the session live streamed or just recorded? Either way, it's the same amount of work for me.

live stream is fine by me

Public livestream on MediaWiki YouTube channel: https://www.youtube.com/watch?v=kGjrVfxx32E

bcampbell updated the task description. (Show Details)May 17 2018, 12:20 PM
zeljkofilipin closed this task as Resolved.May 20 2018, 11:16 AM
Vvjjkkii renamed this task from How to properly design and write browser tests to 0edaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed RazShuty as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Vachovec1 renamed this task from 0edaaaaaaa to How to properly design and write browser tests.Jul 2 2018, 5:27 PM
Vachovec1 closed this task as Resolved.
Vachovec1 assigned this task to RazShuty.
Vachovec1 raised the priority of this task from High to Needs Triage.